package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbSchoolPartners;

/**
 * 合作院校Service接口
 * 
 * @author ruoyi
 * @date 2022-10-13
 */
public interface ITbSchoolPartnersService 
{
    /**
     * 查询合作院校
     * 
     * @param id 合作院校主键
     * @return 合作院校
     */
    public TbSchoolPartners selectTbSchoolPartnersById(Long id);

    /**
     * 查询合作院校列表
     * 
     * @param tbSchoolPartners 合作院校
     * @return 合作院校集合
     */
    public List<TbSchoolPartners> selectTbSchoolPartnersList(TbSchoolPartners tbSchoolPartners);

    /**
     * 新增合作院校
     * 
     * @param tbSchoolPartners 合作院校
     * @return 结果
     */
    public int insertTbSchoolPartners(TbSchoolPartners tbSchoolPartners);

    /**
     * 修改合作院校
     * 
     * @param tbSchoolPartners 合作院校
     * @return 结果
     */
    public int updateTbSchoolPartners(TbSchoolPartners tbSchoolPartners);

    /**
     * 批量删除合作院校
     * 
     * @param ids 需要删除的合作院校主键集合
     * @return 结果
     */
    public int deleteTbSchoolPartnersByIds(String ids);

    /**
     * 删除合作院校信息
     * 
     * @param id 合作院校主键
     * @return 结果
     */
    public int deleteTbSchoolPartnersById(Long id);
}
